import React from 'react';

import {useSelector} from 'react-redux';
import {authSelector, confirmDateSelector} from '../../app/selectors';
import ConfirmDateContainer from './ConfirmDateContainer';

export default function ConfirmDateScreen() {
  const authSelect = useSelector(authSelector);
  const confirmDateSelect = useSelector(confirmDateSelector);
  const {userInfo} = authSelect;
  const {confirmDateList, confirmApprovedDateList} = confirmDateSelect;
  const confirmScreenProps = {
    userInfo,
    confirmDateList,
    confirmApprovedDateList,
  };
  return <ConfirmDateContainer {...confirmScreenProps} />;
}
